<?php
 
// opção 1 para atualizar o NAVS
// opção 2 para atualizar o CLSIT
// opção 3 para atualizar o seu aplicativo
 
 //VARIVEIS DE AMBIENTE

// A variavel $filename é atribuida atraves da variavel $opcao. É importante se atentar ao renomear o arquivo a ser baixado. Alterar somente a variavel $opcao. Veja abaixo pre configurado 3 variaveis para 3 tipos de arquivos a serem baixados. Caso queira baixar somente um arquivo, deixar somente 1 variavel configurada.


 
$tela = $_GET["TELA"] ? $_GET["TELA"] : $_GET["tela"];
$escolha = $_GET["ESCOLHA"];

// configurar esta parte apenas uma vez

$opcao1 = "NAVS2_PRD_21602_sign.aip"; //nome do arquivo a ser baixado
$opcao2 = "NAVS2_PRD_21602_sign.aip"; //nome do arquivo a ser baixado
$opcao3 = "navs.zip"; //nome do arquivo a ser baixado
$opcao4 = "";
$opcao5 = "";
$opcao6 = "";
$recurso = "/SkinCeopag/"; // Nome do diretorio no WWW do Wamp
$ip = "cargas.americapayment.com.br";
$port = "443"; //IP para acesso ao WWW do Wamp

// fim da configuração
 
switch ($tela){
 
case 1:
        echo "<GET TYPE=HIDDEN NAME=TELA VALUE=2>";
        echo ("<POST>");
break;
 
case 2:
 
	echo ("<CANCEL_KEY TYPE=ENABLE>");
	echo "<GET TYPE=HIDDEN NAME=TELA VALUE=3>";
	echo "<CHGCONFNT IDFONT=DEFAULT>";
	echo "<SET TYPE=VAR VARNAME=NAVS_COMM_TCPIP_TIMEOUT VALUE=120 RC_NAME=VARERROR>";
	echo "<CONSOLE>";
	echo " Escolha a carga<BR><BR>";
	echo " 1 - NAVS2_PRD_21602_sign.aip<BR><BR>";
	echo " 2 - NAVS2_PRD_21602_sign.aip<BR><BR>";
	echo " 3 - NAVS.ZIP<BR><BR>";
	echo " 4 - <BR><BR>";
	echo " 5 - <BR><BR>";
	echo " 6 - <BR><BR>";
	echo "</CONSOLE>";
 
	echo ("<GET TYPE=FIELD NAME=ESCOLHA SIZE=1 COL=2 LIN=30 NOENTER=1>");
 
	echo ("<CONSOLE>Aguarde...</CONSOLE>");
	echo ("<POST>");
 
break;
 
case 3:
	$fileSize = filesize($filename);	
	$traducao = "";
	echo "<CHGCONFNT IDFONT=DEFAULT>";
 
	echo "<GET TYPE=HIDDEN NAME=TELA VALUE=4>";
	if ($escolha == "1"){
		$filename = $opcao1;
		$traducao = "NAVS2_PRD_21602_sign.aip";		
	}
	elseif ($escolha == "2"){
		$filename = $opcao2;
		$traducao = "NAVS2_PRD_21602_sign.aip";
	}
	elseif ($escolha == "3"){
		$filename = $opcao3;
		$traducao = "navs.zip";
	}
	elseif ($escolha == "4"){
		$filename = $opcao4;
		$traducao = "";
	}
	elseif ($escolha == "5"){
		$filename = $opcao5;
		$traducao = "";
	}
	elseif ($escolha == "6"){
		$filename = $opcao6;
		$traducao = "";
	}
	else{
		echo "<GET TYPE=HIDDEN NAME=TELA VALUE=2>";
		echo "<CONSOLE>";
		echo " Escolha invalida";
		echo "</CONSOLE>";
		echo ("<POST>");
	}

	if ($fileSize == NULL){
		echo "<GET TYPE=HIDDEN NAME=TELA VALUE=2>";
		echo "<CONSOLE>Nao ha atualizacoes<BR>disponiveis no momento</CONSOLE>";
		echo ("<DELAY TIME=3>");
		echo ("<POST>");
	}
 
	echo "<CONSOLE>";
	echo " Escolhido: ".$traducao."<BR>";
	echo " Arquivo: ".$filename."<BR>";
	echo " Tamanho: ".filesize($filename)."<BR>";
	echo " Atualizacao de aplicacao<BR><BR>";

	echo " Aguarde...<BR>";
	echo " Baixando...";
	echo "</CONSOLE>";
	echo ("<DELAY TIME=3>");
	echo "<GET TYPE=HIDDEN NAME=FILENAME VALUE=".$filename.">";
 
	echo ("<POST>");
 
break;
 
case 4:
	$filename = $_GET["FILENAME"];
	echo ("<PRINTER>".$_GET["erro1"]."<BR>".$_GET["FILENAME"]."<BR><BR><BR><BR><BR></PRINTER>");
	echo "<GET TYPE=HIDDEN NAME=TELA VALUE=5>";
	echo "<CHGCONFNT IDFONT=DEFAULT>";
 
	echo ("<FILE NAME=".$filename." ADDR=/".$recurso."/".$filename." IP=".$ip." PORT=".$port." HOST=".$ip." TIMEOUT=60 ERR=erro1 RC_HTTP=erroy SIZE=".filesize($filename)." LIN=10 COL=2 WRT=SIM>");

	echo "<CONSOLE>";
	echo ("<POST>");
 
break;
 
case 5:
	$filename = $_GET["FILENAME"];
	echo ("<PRINTER>".$_GET["erro1"]."<BR><BR><BR><BR><BR><BR>".$_GET["FILENAME"]."</PRINTER>");
	echo ("<CONSOLE>".$filename." - ".$_GET["erro1"]."</CONSOLE>");
	echo ("<DELAY TIME=2>");
	echo "<SET TYPE=VAR VARNAME=NAVS_COMM_TCPIP_TIMEOUT VALUE=30 RC_NAME=VARERROR>";

	if ($_GET["erro1"] == "OK" && $_GET["FILENAME"] == "NAVS.zip"){
		echo "<CONSOLE><BR><BR><BR><BR><BR>Extraindo arquivo<BR><BR>Aguarde...</CONSOLE>"; 
		echo ("<DELAY TIME=1>"); 
		echo "<RESET>";
	}	
 
	elseif ($_GET["erro1"] == "OK" && $_GET["FILENAME"] == "NAVS2_PRD_21602_sign.aip")
	{
		echo "<CONSOLE><BR><BR><BR><BR><BR>Extraindo arquivo<BR><BR>Aguarde...</CONSOLE>"; 
		echo ("<DELAY TIME=1>"); 
		echo ("<NAVS_UPDATE FILENAME=".$filename." TYPE=AUP RC_NAME=erroUpd>"); 
		echo ("<DELAY TIME=2>"); 
		echo ("<DELFILE NAME=".$filename." ERR=delErr>"); 
		echo ("<DELAY TIME=1>"); 
		echo "<RESET>";
	}
	elseif ($_GET["erro1"] == "OK" && $_GET["FILENAME"] == "NAVS2_PRD_21602_sign.aip")
	{
		echo "<CONSOLE><BR><BR><BR><BR><BR>Extraindo arquivo<BR><BR>Aguarde...</CONSOLE>"; 
		echo ("<DELAY TIME=1>"); 
		echo ("<NAVS_UPDATE FILENAME=".$filename." TYPE=AIP RC_NAME=erroUpd>"); 
		echo ("<DELAY TIME=2>"); 
		echo ("<DELFILE NAME=".$filename." ERR=delErr>"); 
		echo ("<DELAY TIME=1>"); 
		echo "<RESET>";
	}
	else
	{
		echo "<CONSOLE NOCLS=0><BR><BR><BR><BR><BR> Nao atualizado </CONSOLE>";
		echo "<CONSOLE NOCLS=0><BR><BR><BR><BR><BR><BR> Tentando novamente </CONSOLE>";
		echo ("<DELAY TIME=4>");
		echo "<GET TYPE=HIDDEN NAME=TELA VALUE=2>";
	}
	echo ("<POST>");
 
break;
}
 
?>